"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// playwright.config.ts
const test_1 = require("@playwright/test");
const config = {
    forbidOnly: !!process.env.CI,
    retries: process.env.CI ? 2 : 0,
    use: {
        video: 'on',
        trace: 'on',
        screenshot: 'only-on-failure',
    },
    projects: [
        // {
        //   name: 'chromium',
        //   use: { ...devices['Desktop Chrome'] },
        // },
        // {
        //   name: 'firefox',
        //   use: { ...devices['Desktop Firefox'] },
        // },
        {
            name: 'webkit',
            use: { ...test_1.devices['Desktop Safari'] },
        },
    ],
    reporter: [
        [
            './src/lib/zebReporter.ts',
            {
                reporterBaseUrl: 'https://default.zebrunner.com',
                projectKey: 'DEF',
                enabled: true,
                concurrentTasks: 19,
                slackEnabled: true,
                slackDisplayNumberOfFailures: 10,
                slackReportOnlyOnFailures: true,
                slackReportingChannels: 'zeb,general',
                slackStacktraceLength: 270,
            },
        ],
    ],
};
exports.default = config;
//# sourceMappingURL=playwright.config.js.map