"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Urls {
    _projectKey;
    _baseUrl;
    constructor(projectKey, baseUrl) {
        this._projectKey = projectKey;
        this._baseUrl = baseUrl;
    }
    urlRefresh() {
        return { url: `${this._baseUrl}/api/iam/v1/auth/refresh`, status: 200 };
    }
    urlRegisterRun() {
        return {
            url: `${this._baseUrl}/api/reporting/v1/test-runs?projectKey=${this._projectKey}`,
            status: 200,
        };
    }
    urlFinishRun(testRunId) {
        return { url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}`, status: 200 };
    }
    urlStartTest(testRunId) {
        return { url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests`, status: 200 };
    }
    urlFinishTest(testRunId, testId) {
        return {
            url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests/${testId}`,
            status: 200,
        };
    }
    urlStartSession(testRunId) {
        return {
            url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/test-sessions`,
            status: 200,
        };
    }
    urlTestRunLabel(testRunId) {
        return { url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/labels`, status: 204 };
    }
    urlFinishSession(testRunId, sessionId) {
        return {
            url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/test-sessions/${sessionId}`,
            status: 200,
        };
    }
    urlScreenshots(testRunId, testId) {
        return {
            url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests/${testId}/screenshots`,
            status: 201,
        };
    }
    urlTestExecutionLabel(testRunId, testId) {
        return {
            url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests/${testId}/labels`,
            status: 204,
        };
    }
    urlSendLogs(testRunId) {
        return { url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/logs`, status: 202 };
    }
    urlTestArtifacts(testRunId, testId) {
        return {
            url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/tests/${testId}/artifacts`,
            status: 201,
        };
    }
    urlSessionArtifacts(testRunId, testSessionId) {
        return {
            url: `${this._baseUrl}/api/reporting/v1/test-runs/${testRunId}/test-sessions/${testSessionId}/artifacts`,
            status: 201,
        };
    }
}
exports.default = Urls;
//# sourceMappingURL=Urls.js.map