"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@playwright/test");
test_1.test.describe('feature foo', () => {
    test_1.test.beforeEach(async ({ page }) => {
        // Go to the starting url before each test.
        await page.goto('https://playwright.dev/');
    });
    (0, test_1.test)('my test', async ({ page }) => {
        // Assertions use the expect API.
        await (0, test_1.expect)(page).toHaveURL('https://playwright.dev/');
    });
    (0, test_1.test)('basic test', async ({ page }) => {
        const title = page.locator('.navbar__inner .navbar__title');
        await (0, test_1.expect)(title).toHaveText('Playwright');
    });
    (0, test_1.test)('my test1', async ({ page }) => {
        // Expect a title "to contain" a substring.
        await (0, test_1.expect)(page).toHaveTitle(/Playwright/);
        // Expect an attribute "to be strictly equal" to the value.
        await (0, test_1.expect)(page.locator('text=Get Started').first()).toHaveAttribute('href', '/docs/intro');
        // Expect an element "to be visible".
        await (0, test_1.expect)(page.locator('text=Learn more').first()).toBeVisible();
        await page.click('text=Get Started');
        // Expect some text to be visible on the page.
        await (0, test_1.expect)(page.locator('text=Introduction').first()).toBeVisible();
    });
});
//# sourceMappingURL=pw.spec.js.map